Unbind
Cron

Start Cron Run

Start a run of a service that has a cron schedule right now, outside its schedule. Refused while another run is in progress, and until the schedule has been deployed.

POST
/cron/run

Start a run of a service that has a cron schedule right now, outside its schedule. Refused while another run is in progress, and until the schedule has been deployed.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

environment_id*string
Formatuuid
project_id*string
Formatuuid
service_id*string
Formatuuid
team_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/cron/run" \  -H "Content-Type: application/json" \  -d '{    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"  }'
{  "data": {    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",    "failure_reason": "string",    "manual": true,    "name": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "running"  }}